Bug 220999 - (pear-Net-Sieve) Review Request: php-pear-Net-Sieve - Communication with timsieved
Review Request: php-pear-Net-Sieve - Communication with timsieved
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 220926
  Show dependency treegraph
 
Reported: 2006-12-30 01:15 EST by Brandon Holbrook
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-31 00:58:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Holbrook 2006-12-30 01:15:01 EST
Spec URL: http://theholbrooks.org/RPMS/php-pear-Net-Sieve.spec
SRPM URL: http://theholbrooks.org/RPMS/php-pear-Net-Sieve-1.1.5-1.src.rpm

Description:
Provides an API to talk to the timsieved server that comes with Cyrus IMAPd.
Can be used to install, remove, mark active, etc sieve scripts.
Comment 1 Christopher Stone 2006-12-30 01:42:53 EST
I'll review this (probably tomorrow).  Two second glance at spec looks like you
have the wrong license.
Comment 2 Christopher Stone 2006-12-30 01:47:33 EST
Brandon, I'm seeing a couple little minor things that need fixing.  Could you
please redo this spec using the fedora-newrpmspec command?  Just run
fedora-newrpmsepc php-pear-Net-Sieve and it will create a default template for
you to use.  This will be much easier for me to review.  Thanks.
Comment 3 Brandon Holbrook 2006-12-30 01:54:55 EST
I don't mind regenerating a new spec file, but this one is almost verbatim the
pear template found at:

http://fedoraproject.org/wiki/Extras/SIGs/PHP/PearSpecTemplate

If something is wrong with the template I'd rather point out specifics so the
wiki can be updated as well as this package.
Comment 4 Christopher Stone 2006-12-30 11:27:07 EST
Fixed.  Thanks for pointing this out.
Comment 5 Brandon Holbrook 2006-12-30 17:45:55 EST
Spec URL: http://theholbrooks.org/RPMS/php-pear-Net-Sieve.spec
SRPM URL: http://theholbrooks.org/RPMS/php-pear-Net-Sieve-1.1.5-2.src.rpm

Cleaned up to match the new template.  Thanks for updating it Chris!
Comment 6 Brandon Holbrook 2006-12-30 17:51:51 EST
I also changed the license to BSD (at least that's what it looked like in the
header comment in Sieve.php)
Comment 7 Christopher Stone 2006-12-30 19:04:00 EST
==== REVIEW CHECKLIST ====
- rpmlint output:
W: php-pear-Net-Sieve no-documentation
permissible, no documentation
- package named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- licensed with open source compatible license
- license matches actual license
- source package does not include license file
- spec written in American english
- spec file is legible
- package successfully compiles and builds on FC6 x86_64
- all build dependices listed in BR
- no locales
- no shared libraries
- package is not relocatable
- packge owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package contains proper %clean section
- macro usage is consistent
- contains code
- no large documentation
- no %doc
- no header files or static libraries
- no pkgconfig files
- no library files
- no need for devel subpackage
- no .la files
- not a GUI app needing a .desktop file
- packages shares directory ownership with other Net packages.  Acceptable for
pear packages

APPROVED
Comment 8 Christopher Stone 2006-12-30 19:05:33 EST
oops forgot one checklist item:
- sources match upstream
2f0b868d5bde1742721d525233274f5a  Net_Sieve-1.1.5.tgz

APPROVED
Comment 9 Brandon Holbrook 2006-12-31 00:58:58 EST
Thanks again Chris.

Imported, built, FC[56] branches requested

Note You need to log in before you can comment on or make changes to this bug.